//
//  CWPayToAccountRequest.h
//  KontoCloudSDK
//
//  Created by Kolya Nick on 16.05.17.
//  Copyright © 2017 ContoWorks. All rights reserved.
//

#import "CWRequestBase.h"

@interface CWPayToAccountRequest : CWRequestBase

@property (nonatomic) NSString *programAccno;
@property (nonatomic) NSString *accno;
@property (nonatomic) NSString *accnoType;
@property (nonatomic) NSString *paymentOptionCode;
@property (nonatomic) BOOL savePaymentDetails;
@property (nonatomic) NSString *storedPaymentOptionReference;
@property (nonatomic) NSString *invoiceReference;
@property (nonatomic) NSString *channelProductReference;
@property (nonatomic) NSNumber *presentationAmount;
@property (nonatomic) NSString *presentationCurrCode;
@property (nonatomic) NSString *presentationUsage;
@property (nonatomic) NSNumber *feeAmount;
@property (nonatomic) NSString *feeCurrCode;
@property (nonatomic) NSString *carrierNumber;
@property (nonatomic) NSString *bankCode;
@property (nonatomic) NSNumber *expiryMonth;
@property (nonatomic) NSNumber *expiryYear;
@property (nonatomic) BOOL useDifferentBillingAddress;
@property (nonatomic) NSString *customerFullName;
@property (nonatomic) NSString *addr1;
@property (nonatomic) NSString *addr2;
@property (nonatomic) NSString *city;
@property (nonatomic) NSString *state;
@property (nonatomic) NSString *countryCode;
@property (nonatomic) NSString *postCode;
@property (nonatomic) NSString *phone;
@property (nonatomic) NSString *emailAddress;
@property (nonatomic) NSString *custom1;
@property (nonatomic) NSString *custom2;
@property (nonatomic) NSString *custom3;
@property (nonatomic) NSString *clientIpAddress;

@end
