//
//  CWCompleteAddStoredPaymentOptionRequest.h
//  KontoCloudSDK
//
//  Created by Kolya Nick on 16.05.17.
//  Copyright © 2017 ContoWorks. All rights reserved.
//

#import "CWRequestBase.h"

@interface CWCompleteAddStoredPaymentOptionRequest : CWRequestBase

@property (nonatomic) NSString  *accnoType;
@property (nonatomic) NSString  *paymentOptionCode;
@property (nonatomic) NSString  *authorizationToken;
@property (nonatomic) NSString  *storedPaymentOptionReference;
@property (nonatomic) NSString  *carrierNumber;
@property (nonatomic) int       expiryMonth;
@property (nonatomic) int       expiryYear;
@property (nonatomic) BOOL      useDifferentBillingAddress;
@property (nonatomic) NSString  *customerFullName;
@property (nonatomic) NSString  *addr1;
@property (nonatomic) NSString  *addr2;
@property (nonatomic) NSString  *city;
@property (nonatomic) NSString  *state;
@property (nonatomic) NSString  *countryCode;
@property (nonatomic) NSString  *postCode;
@property (nonatomic) NSString  *phone;
@property (nonatomic) NSString  *emailAddress;
@property (nonatomic) NSString  *mandateReference;
@property (nonatomic) NSDate    *mandateSignedDate;
@property (nonatomic) NSDictionary *criteria;

@end
